/// Generated By XFlutter Cli.
/// 
/// more info: https://xflutter-cli.aghiadodeh.com
import 'package:flutter/material.dart';
import 'flex_utils.dart';
import 'flex_dimensions.dart';

class FlexTextStyle extends TextStyle {
  final Map<FlexSize, FontWeight>? flexFontWeight;
  final FlexDiemension? textSize;

  const FlexTextStyle({this.textSize, this.flexFontWeight});

  @override
  double? get fontSize => textSize?.value ?? fontSize;

  @override
  FontWeight? get fontWeight => flexFontWeight?.value ?? fontWeight;
}
